<div class="container-fluid">
    <div class="page header">
        <h1>Network list</h1>
    </div>

    <div ng-if="data.waitingPromise">
        <h3><img src="/public/img/loading-pulse.svg" /> Loading...</h3>
    </div>

    <div ng-if="!data.waitingPromise">
        <div ng-if="networks==0">No networks found</div>

        <div class="gf-form-group">
            <div class="gf-form-inline" ng-repeat="network in data.networkList">
                <div class="gf-form">
                    <label class="gf-form-label custom-label width-10">{{network.name}}</label>
                    <button class="btn btn-success custom-btn" ng-disabled="network.active" ng-click="startNet(network)">
                        <i class="fa fa-play"></i>
                        Start
                    </button>
                    <button class="btn btn-danger custom-btn" ng-disabled="!network.active" ng-click="stopNet(network)">
                        <i class="fa fa-stop"></i>
                        Stop
                    </button>
                    <button class="btn btn-success custom-btn" ng-click="downloadJSON(network)">
                        <i class="fa fa-download"></i>
                        Download
                    </button>
                    <span id="active-network" ng-if="network.active">Running</span><span id="stopped-network"
                                                                                         ng-if="!network.active">Not running</span>
                </div>
            </div>
        </div>
    </div>
</div>
